Bug 35931 - Impress: incorrect pptx 2007 diagrams import (better with SmartArt, good with shapes when saved with MSO as pptx 2010)
Summary: Impress: incorrect pptx 2007 diagrams import (better with SmartArt, good with...
Status: RESOLVED INSUFFICIENTDATA
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
3.3.2 release
Hardware: Other All
: low normal
Assignee: Not Assigned
QA Contact:
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-04-03 10:32 UTC by Jean-François Fortin Tam
Modified: 2017-05-31 10:46 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
test case (660.28 KB, application/vnd.openxmlformats-officedocument.presentationml.presentation)
2011-04-03 10:32 UTC, Jean-François Fortin Tam
Details
original test case (787.34 KB, application/vnd.openxmlformats-officedocument.presentationml.presentation)
2011-04-03 10:36 UTC, Jean-François Fortin Tam
Details
original test case rendered with old LO (579.56 KB, application/pdf)
2011-04-03 10:37 UTC, Jean-François Fortin Tam
Details
test case slide16 converted to SmartArt graphic with MSO 2010 (81.73 KB, application/vnd.openxmlformats-officedocument.presentationml.presentation)
2016-10-13 18:45 UTC, Timur
Details
test case slide16 converted to shapes with MSO 2010 (73.17 KB, application/vnd.openxmlformats-officedocument.presentationml.presentation)
2016-10-13 18:45 UTC, Timur
Details
original test case rendered with MSO 2010 (2.02 MB, application/octetstream)
2016-10-13 18:50 UTC, Timur
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Jean-François Fortin Tam 2011-04-03 10:32:17 UTC
Created attachment 45187 [details]
test case

Attached is a sample Powerpoint file (probably made in Office 2007) whose diagrams render in a very incorrect way with Impress.
Comment 1 Jean-François Fortin Tam 2011-04-03 10:36:19 UTC
Created attachment 45188 [details]
original test case

Argh, wrong file (though the previous sample file does have incorrect diagrams rendering too).

Offending slides: 3, 16, (18-20, 26, 32, 34-35), 38, 46, 51, 53, etc.
Comment 2 Jean-François Fortin Tam 2011-04-03 10:37:00 UTC
Created attachment 45189 [details]
original test case rendered with old LO
Comment 3 Jean-François Fortin Tam 2011-04-03 10:40:54 UTC
For comparison, here is the output from Office 2007's native PDF export add-in: http://jeff.ecchi.ca/public/libreoffice-35931-powerpoint-export.pdf

(someone please attach it to this bug report, I run into the 1000 KB limit)
Comment 4 Björn Michaelsen 2011-12-23 11:46:40 UTC Comment hidden (obsolete)
Comment 5 A (Andy) 2013-03-28 21:57:57 UTC
reproducible with LO 4.0.1.2 (Win7 Home, 64bit)

@Thorsten: Could this maybe be something for you?
Comment 6 bfoman (inactive) 2013-08-15 21:56:46 UTC
Checked with:
Version: 4.2.0.0.alpha0+
Build ID: 087a610fcd5c0c354a9ed6bfccd3451b667d62a3
TinderBox: Win-x86@6-debug, Branch:master, Time: 2013-08-04_21:41:24
Windows 8.1 Enterprise Preview 64 bit

Well, it looks way better than attached pdf output. For instance slides 3, 19, 34, 35, 40 look quite the same as in Powerpoint 2013, but there are problems on 16-like slides. Probably too many issues for one bug report...
Comment 7 A (Andy) 2015-03-26 19:52:53 UTC
Reproducible with LO 4.4.1.2, Win 8.1

Bugs:
Slide 2: rectangle instead of circle shape (also on slide 11)
Slide 3: title background not rounded (also on the other slides)
         triangle displaced
Slide 11: rectangle instead of cylindric shape
Slide 16, 18, 20, 26, 32, 46, 54, 64: fully broken: shapes, fonts, arrows ...
Comment 8 tommy27 2016-04-16 07:25:05 UTC Comment hidden (obsolete)
Comment 9 Timur 2016-10-13 18:42:06 UTC
Please bear in mind that it's unlikely that any bugs reported like this, "big file rendering wrong", will be fixed.
Each issue should be reported separately, after a search for already reported bugs. If bugs don't exist, they should be reported separately, with MINIMUM TEST CASE and not with the full file, even if they happen multiple times with the same file. 

For example, slide 3 looks fine and some other slides mentioned. 
Slide 16 doesn't but if saved with MSO 2010 it looks better when converted to SmartArt graphics and very good with shapes. 
I'll attach slide 16 and bug should be only about it.
Comment 10 Timur 2016-10-13 18:45:07 UTC
Created attachment 127991 [details]
test case slide16 converted to SmartArt graphic with MSO 2010
Comment 11 Timur 2016-10-13 18:45:52 UTC
Created attachment 127992 [details]
test case slide16 converted to shapes with MSO 2010
Comment 12 Timur 2016-10-13 18:50:41 UTC
Created attachment 127993 [details]
original test case rendered with MSO 2010

I can't save just slide 16 as 2007 format because that would require Office 2007.
If someone can, please do it and set back as New.
Comment 13 QA Administrators 2017-05-02 11:36:51 UTC
Dear Bug Submitter,

This bug has been in NEEDINFO status with no change for at least
6 months. Please provide the requested information as soon as
possible and mark the bug as UNCONFIRMED. Due to regular bug
tracker maintenance, if the bug is still in NEEDINFO status with
no change in 30 days the QA team will close the bug as INSUFFICIENTDATA
due to lack of needed information.

For more information about our NEEDINFO policy please read the
wiki located here:
https://wiki.documentfoundation.org/QA/Bugzilla/Fields/Status/NEEDINFO

If you have already provided the requested information, please
mark the bug as UNCONFIRMED so that the QA team knows that the
bug is ready to be confirmed.
 
Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-NeedInfo-Ping-20170502
Comment 14 QA Administrators 2017-05-31 10:46:09 UTC
Dear Bug Submitter,

Please read this message in its entirety before proceeding.

Your bug report is being closed as INSUFFICIENTDATA due to inactivity and
a lack of information which is needed in order to accurately
reproduce and confirm the problem. We encourage you to retest
your bug against the latest release. If the issue is still
present in the latest stable release, we need the following
information (please ignore any that you've already provided):

a) Provide details of your system including your operating
   system and the latest version of LibreOffice that you have
   confirmed the bug to be present

b) Provide easy to reproduce steps – the simpler the better

c) Provide any test case(s) which will help us confirm the problem

d) Provide screenshots of the problem if you think it might help

e) Read all comments and provide any requested information

Once all of this is done, please set the bug back to UNCONFIRMED
and we will attempt to reproduce the issue. Please do not:

a) respond via email 

b) update the version field in the bug or any of the other details
   on the top section of our bug tracker

Warm Regards,
QA Team

MassPing-NeedInfo-20170531